# Fetch Data

<table data-full-width="true"><thead><tr><th width="501.0283203125">API</th><th>Description</th></tr></thead><tbody><tr><td><strong>POST /api/fetchTestRunResultsCount</strong></td><td>Fetch the count of test run results, useful for pagination or summaries.</td></tr><tr><td><strong>POST /api/fetchSeverityInfoForIssues</strong></td><td>Retrieve aggregated severity information (Critical, High, Medium, Low) for issues.</td></tr><tr><td><strong>POST /api/fetchIssueFromTestRunResultDetails</strong></td><td>Get detailed issue information from a specific test run result.</td></tr><tr><td><strong>POST /api/fetchAllSubCategories</strong></td><td>Fetch all issue subcategories (e.g., SQLi, XSS under Injection) used for classification.</td></tr><tr><td><strong>POST /api/fetchRemediationInfo</strong></td><td>Retrieve remediation details and best practices for fixing a specific issue.</td></tr><tr><td><strong>POST /api/fetchTestRunResultDetails</strong></td><td>Get detailed information about a specific test run result.</td></tr><tr><td><strong>POST /api/findTotalIssuesByDay</strong></td><td>Fetch the total number of issues discovered per day, useful for trend analysis.</td></tr><tr><td><strong>POST /api/fetchAllIssues</strong></td><td>Retrieve all issues detected across collections and test runs.</td></tr><tr><td><strong>POST /api/fetchIssuesFromCollections</strong></td><td>Retrieve issues by API collection names with enriched test details and direct issue URLs.</td></tr><tr><td><strong>POST /api/fetchTestingRunResultSummaries</strong></td><td>Fetch summaries of testing run results (high-level overview of findings).</td></tr><tr><td><strong>POST /api/generateReportPDF</strong></td><td>Generate a downloadable PDF report of test results and issues.</td></tr><tr><td><strong>POST /api/fetchFilterYamlTemplate</strong></td><td>Retrieve the YAML template for issue filters, used for customizing reports or queries.</td></tr><tr><td><strong>POST /api/fetchTestingRunResults</strong></td><td>Fetch detailed testing run results including all issues found.</td></tr><tr><td><strong>POST /api/fetchActiveTestRunsStatus</strong></td><td>Retrieve the current status of active test runs.</td></tr><tr><td><strong>POST /api/fetchTestResultsStatsCount</strong></td><td>Get statistical counts of test results grouped by categories (e.g., pass/fail).</td></tr><tr><td><strong>POST /api/fetchTestingRunResult</strong></td><td>Fetch a single testing run result with its details.</td></tr><tr><td><strong>POST /api/fetchVulnerableTestingRunResultsFromIssues</strong></td><td>Retrieve test run results linked to vulnerable issues.</td></tr><tr><td><strong>POST /api/getAllTestsCountMap</strong></td><td>Get a count map of all available tests grouped by categories/subcategories.</td></tr><tr><td><strong>POST /api/retrieveAllCollectionTests</strong></td><td>Retrieve all tests mapped to API collections.</td></tr><tr><td><strong>POST /api/fetchTestingRunResultsSummary</strong></td><td>Fetch a summary of testing run results, highlighting major findings.</td></tr><tr><td><strong>POST /api/fetchIssuesByApis</strong></td><td>Get all issues grouped by APIs for better endpoint-level visibility.</td></tr><tr><td><strong>POST /api/fetchIssuesFromResultIds</strong></td><td>Fetch issues associated with specific test run result IDs.</td></tr><tr><td><strong>POST /api/fetchCriticalIssuesTrend</strong></td><td>Retrieve the trend of critical issues over time.</td></tr><tr><td><strong>POST /api/fetchTestCoverageData</strong></td><td>Fetch test coverage data showing which APIs/endpoints have been tested and which remain untested.</td></tr></tbody></table>

## POST /api/fetchIssueFromTestRunResultDetails

> POST request for endpoint /api/fetchIssueFromTestRunResultDetails

```json
{"openapi":"3.0.1","info":{"title":"AktoSwagger","version":"1.0.0"},"paths":{"/api/fetchIssueFromTestRunResultDetails":{"post":{"summary":"POST request for endpoint /api/fetchIssueFromTestRunResultDetails","operationId":"/api/fetchIssueFromTestRunResultDetails-POST","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"testingRunResultHexId":{"type":"string"}},"description":"Sample description"}}}},"responses":{"200":{"description":"description","content":{"application/json":{"schema":{"type":"object","properties":{"metadata":{"type":"string"},"testingRunResults":{"type":"string"},"testingRunResultSummaries":{"type":"string"},"runIssues":{"type":"object","properties":{"severity":{"type":"string"},"lastSeen":{"type":"integer","format":"int32"},"creationTime":{"type":"integer","format":"int32"},"testRunIssueStatus":{"type":"string"},"ignoreReason":{"type":"string"},"latestTestingRunSummaryId":{"type":"object","properties":{"date":{"type":"string"},"timestamp":{"type":"integer","format":"int32"}}},"id":{"type":"object","properties":{"testSubCategory":{"type":"string"},"testErrorSource":{"type":"string"},"testCategoryFromSourceConfig":{"type":"string"},"apiInfoKey":{"type":"object","properties":{"method":{"type":"string"},"apiCollectionId":{"type":"integer","format":"int32"},"url":{"type":"string"}}},"testSourceConfig":{"type":"string"}}}}},"selectedTests":{"type":"string"},"maxConcurrentRequests":{"type":"integer","format":"int32"},"testingRuns":{"type":"string"},"recurringDaily":{"type":"boolean"},"workflowTest":{"type":"string"},"authMechanism":{"type":"string"},"testingRunResult":{"type":"string"},"fetchCicd":{"type":"boolean"},"testingRun":{"type":"string"},"testRunTime":{"type":"integer","format":"int32"},"testingRunHexId":{"type":"string"},"endTimestamp":{"type":"integer","format":"int32"},"startTimestamp":{"type":"integer","format":"int32"},"testName":{"type":"string"}},"description":"Sample description"}}}}}}}}}
```

## POST /api/fetchAllSubCategories

> POST request for endpoint /api/fetchAllSubCategories

```json
{"openapi":"3.0.1","info":{"title":"AktoSwagger","version":"1.0.0"},"paths":{"/api/fetchAllSubCategories":{"post":{"summary":"POST request for endpoint /api/fetchAllSubCategories","operationId":"/api/fetchAllSubCategories-POST","requestBody":{"content":{"application/json":{"schema":{"type":"object","description":"Sample description"}}}},"responses":{"200":{"description":"description","content":{"application/json":{"schema":{"type":"object","description":"AKTO_ERROR while building schema"}}}}}}}}}
```

## POST /api/fetchTestRunResultDetails

> POST request for endpoint /api/fetchTestRunResultDetails

```json
{"openapi":"3.0.1","info":{"title":"AktoSwagger","version":"1.0.0"},"paths":{"/api/fetchTestRunResultDetails":{"post":{"summary":"POST request for endpoint /api/fetchTestRunResultDetails","operationId":"/api/fetchTestRunResultDetails-POST","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"testingRunResultHexId":{"type":"string"}},"description":"Sample description"}}}},"responses":{"200":{"description":"description","content":{"application/json":{"schema":{"type":"object","properties":{"metadata":{"type":"string"},"testingRunResults":{"type":"string"},"testingRunResultSummaries":{"type":"string"},"runIssues":{"type":"string"},"selectedTests":{"type":"string"},"maxConcurrentRequests":{"type":"integer","format":"int32"},"testingRuns":{"type":"string"},"recurringDaily":{"type":"boolean"},"workflowTest":{"type":"string"},"testingRunResult":{"type":"object","properties":{"testResults":{"type":"array","items":{"type":"object","properties":{"testInfo":{"type":"string"},"vulnerable":{"type":"boolean"},"percentageMatch":{"type":"number"},"confidence":{"type":"object","properties":{"_name":{"type":"string"}}},"message":{"type":"string"},"originalMessage":{"type":"string"}}}},"testSubType":{"type":"string"},"vulnerable":{"type":"boolean"},"testRunResultSummaryId":{"type":"object","properties":{"date":{"type":"string"},"timestamp":{"type":"integer","format":"int32"}}},"testRunId":{"type":"object","properties":{"date":{"type":"string"},"timestamp":{"type":"integer","format":"int32"}}},"testSuperType":{"type":"string"},"id":{"type":"object","properties":{"date":{"type":"string"},"timestamp":{"type":"integer","format":"int32"}}},"apiInfoKey":{"type":"object","properties":{"method":{"type":"object","properties":{"_name":{"type":"string"}}},"apiCollectionId":{"type":"integer","format":"int32"},"url":{"type":"string"}}},"confidencePercentage":{"type":"integer","format":"int32"},"endTimestamp":{"type":"integer","format":"int32"},"startTimestamp":{"type":"integer","format":"int32"},"hexId":{"type":"string"}}},"authMechanism":{"type":"string"},"fetchCicd":{"type":"boolean"},"testingRun":{"type":"string"},"testRunTime":{"type":"integer","format":"int32"},"testingRunHexId":{"type":"string"},"endTimestamp":{"type":"integer","format":"int32"},"startTimestamp":{"type":"integer","format":"int32"},"testName":{"type":"string"}},"description":"Sample description"}}}}}}}}}
```

## POST /api/fetchAllIssues

> POST request for endpoint /api/fetchAllIssues

```json
{"openapi":"3.0.1","info":{"title":"AktoSwagger","version":"1.0.0"},"paths":{"/api/fetchAllIssues":{"post":{"summary":"POST request for endpoint /api/fetchAllIssues","operationId":"/api/fetchAllIssues-POST","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"limit":{"type":"integer","format":"int32"},"filterStatus":{"type":"array","items":{"type":"string"}},"skip":{"type":"integer","format":"int32"},"startEpoch":{"type":"integer","format":"int32"}},"description":"Sample description"}}}},"responses":{"200":{"description":"description","content":{"application/json":{"schema":{"type":"object","properties":{"vulnerableRequests":{"type":"string"},"issueId":{"type":"string"},"similarlyAffectedIssues":{"type":"string"},"filterStatus":{"type":"array","items":{"type":"string"}},"skip":{"type":"integer","format":"int32"},"startEpoch":{"type":"integer","format":"int32"},"issueIdArray":{"type":"string"},"testSourceConfigs":{"type":"string"},"issues":{"type":"array","items":{"type":"object","properties":{"severity":{"type":"string"},"lastSeen":{"type":"integer","format":"int32"},"creationTime":{"type":"integer","format":"int32"},"testRunIssueStatus":{"type":"string"},"latestTestingRunSummaryId":{"type":"object","properties":{"date":{"type":"string"},"timestamp":{"type":"integer","format":"int32"}}},"ignoreReason":{"type":"string"},"id":{"type":"object","properties":{"testSubCategory":{"type":"string"},"testErrorSource":{"type":"string"},"testCategoryFromSourceConfig":{"type":"string"},"apiInfoKey":{"type":"object","properties":{"method":{"type":"string"},"apiCollectionId":{"type":"integer","format":"int32"},"url":{"type":"string"}}},"testSourceConfig":{"type":"string"}}}}}},"subCategories":{"type":"string"},"totalIssuesCount":{"type":"integer","format":"int32"},"testingRunResult":{"type":"string"},"ignoreReason":{"type":"string"},"limit":{"type":"integer","format":"int32"},"categories":{"type":"string"},"statusToBeUpdated":{"type":"string"}},"description":"Sample description"}}}}}}}}}
```

## POST /api/fetchIssuesFromCollections

> POST request for endpoint /api/fetchIssuesFromCollections

```json
{"openapi":"3.0.1","info":{"title":"AktoSwagger","version":"1.0.0"},"paths":{"/api/fetchIssuesFromCollections":{"post":{"summary":"POST request for endpoint /api/fetchIssuesFromCollections","operationId":"/api/fetchIssuesFromCollections-POST","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"filterCollectionNames":{"type":"array","items":{"type":"string"}},"limit":{"type":"integer","format":"int32"},"filterStatus":{"type":"array","items":{"type":"string"}},"filterSeverity":{"type":"array","items":{"type":"string"}},"skip":{"type":"integer","format":"int32"},"startEpoch":{"type":"integer","format":"int32"}},"required":["filterCollectionNames"],"description":"Sample description"}}}},"responses":{"200":{"description":"description","content":{"application/json":{"schema":{"type":"object","properties":{"issueDetails":{"type":"array","items":{"type":"object","properties":{"apiUrl":{"type":"string"},"apiMethod":{"type":"string"},"apiCollectionId":{"type":"integer","format":"int32"},"testSubCategory":{"type":"string"},"status":{"type":"string"},"severity":{"type":"string"},"creationTime":{"type":"integer","format":"int32"},"lastSeen":{"type":"integer","format":"int32"},"issueUrl":{"type":"string"},"testName":{"type":"string"},"testDescription":{"type":"string"},"testDetails":{"type":"string"},"testImpact":{"type":"string"},"testRemediation":{"type":"string"},"testSeverityFromTemplate":{"type":"string"},"testTags":{"type":"array","items":{"type":"string"}},"testReferences":{"type":"array","items":{"type":"string"}},"testCwe":{"type":"string"},"testCve":{"type":"string"},"testCategory":{"type":"string"}}}},"openIssuesCount":{"type":"integer","format":"int32"},"fixedIssuesCount":{"type":"integer","format":"int32"},"ignoredIssuesCount":{"type":"integer","format":"int32"}},"description":"Sample description"}}}}}}}}}
```

## POST /api/fetchTestingRunResultSummaries

> POST request for endpoint /api/fetchTestingRunResultSummaries

```json
{"openapi":"3.0.1","info":{"title":"AktoSwagger","version":"1.0.0"},"paths":{"/api/fetchTestingRunResultSummaries":{"post":{"summary":"POST request for endpoint /api/fetchTestingRunResultSummaries","operationId":"/api/fetchTestingRunResultSummaries-POST","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"testingRunHexId":{"type":"string"},"endTimestamp":{"type":"integer","format":"int32"},"startTimestamp":{"type":"integer","format":"int32"}},"description":"Sample description"}}}},"responses":{"200":{"description":"description","content":{"application/json":{"schema":{"type":"object","properties":{"metadata":{"type":"string"},"testingRunResults":{"type":"string"},"testingRunResultSummaries":{"type":"array","items":{"type":"object","properties":{"metadata":{"type":"string"},"totalApis":{"type":"integer","format":"int32"},"testResultsCount":{"type":"integer","format":"int32"},"countIssues":{"type":"object","properties":{"HIGH":{"type":"integer","format":"int32"},"MEDIUM":{"type":"integer","format":"int32"},"LOW":{"type":"integer","format":"int32"}}},"testingRunId":{"type":"object","properties":{"date":{"type":"string"},"timestamp":{"type":"integer","format":"int32"}}},"id":{"type":"object","properties":{"date":{"type":"string"},"timestamp":{"type":"integer","format":"int32"}}},"testingRunHexId":{"type":"string"},"state":{"type":"string"},"endTimestamp":{"type":"integer","format":"int32"},"startTimestamp":{"type":"integer","format":"int32"},"hexId":{"type":"string"}}}},"runIssues":{"type":"string"},"selectedTests":{"type":"string"},"maxConcurrentRequests":{"type":"integer","format":"int32"},"testingRuns":{"type":"string"},"recurringDaily":{"type":"boolean"},"workflowTest":{"type":"string"},"authMechanism":{"type":"string"},"testingRunResult":{"type":"string"},"fetchCicd":{"type":"boolean"},"testingRun":{"type":"object","properties":{"periodInSeconds":{"type":"integer","format":"int32"},"testingRunConfig":{"type":"string"},"testingEndpoints":{"type":"object","properties":{"apiCollectionId":{"type":"integer","format":"int32"},"type":{"type":"string"}}},"maxConcurrentRequests":{"type":"integer","format":"int32"},"testIdConfig":{"type":"integer","format":"int32"},"pickedUpTimestamp":{"type":"integer","format":"int32"},"scheduleTimestamp":{"type":"integer","format":"int32"},"name":{"type":"string"},"userEmail":{"type":"string","format":"email"},"testRunTime":{"type":"integer","format":"int32"},"id":{"type":"object","properties":{"date":{"type":"string"},"timestamp":{"type":"integer","format":"int32"}}},"state":{"type":"string"},"endTimestamp":{"type":"integer","format":"int32"},"hexId":{"type":"string"}}},"testRunTime":{"type":"integer","format":"int32"},"testingRunHexId":{"type":"string"},"endTimestamp":{"type":"integer","format":"int32"},"startTimestamp":{"type":"integer","format":"int32"},"testName":{"type":"string"}},"description":"Sample description"}}}}}}}}}
```

## POST /api/fetchTestingRunResults

> POST request for endpoint /api/fetchTestingRunResults

```json
{"openapi":"3.0.1","info":{"title":"AktoSwagger","version":"1.0.0"},"paths":{"/api/fetchTestingRunResults":{"post":{"summary":"POST request for endpoint /api/fetchTestingRunResults","operationId":"/api/fetchTestingRunResults-POST","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"testingRunResultSummaryHexId":{"type":"string"}},"description":"Sample description"}}}},"responses":{"200":{"description":"description","content":{"application/json":{"schema":{"type":"object","properties":{"metadata":{"type":"string"},"testingRunResults":{"type":"array","items":{"type":"object","properties":{"testResults":{"type":"string"},"testRunResultSummaryId":{"type":"object","properties":{"date":{"type":"string"},"timestamp":{"type":"integer","format":"int32"}}},"testRunId":{"type":"object","properties":{"date":{"type":"string"},"timestamp":{"type":"integer","format":"int32"}}},"singleTypeInfos":{"type":"string"},"vulnerable":{"type":"boolean"},"testSubType":{"type":"string"},"testSuperType":{"type":"string"},"apiInfoKey":{"type":"object","properties":{"method":{"type":"string"},"apiCollectionId":{"type":"integer","format":"int32"},"url":{"type":"string"}}},"id":{"type":"object","properties":{"date":{"type":"string"},"timestamp":{"type":"integer","format":"int32"}}},"confidencePercentage":{"type":"integer","format":"int32"},"endTimestamp":{"type":"integer","format":"int32"},"startTimestamp":{"type":"integer","format":"int32"},"hexId":{"type":"string"}}}},"testingRunResultSummaries":{"type":"string"},"runIssues":{"type":"string"},"selectedTests":{"type":"string"},"maxConcurrentRequests":{"type":"integer","format":"int32"},"testingRuns":{"type":"string"},"recurringDaily":{"type":"boolean"},"workflowTest":{"type":"string"},"authMechanism":{"type":"string"},"testingRunResult":{"type":"string"},"fetchCicd":{"type":"boolean"},"testingRun":{"type":"string"},"testRunTime":{"type":"integer","format":"int32"},"testingRunHexId":{"type":"string"},"endTimestamp":{"type":"integer","format":"int32"},"startTimestamp":{"type":"integer","format":"int32"},"testName":{"type":"string"}},"description":"Sample description"}}}}}}}}}
```

## POST /api/retrieveAllCollectionTests

> POST request for endpoint /api/retrieveAllCollectionTests

```json
{"openapi":"3.0.1","info":{"title":"AktoSwagger","version":"1.0.0"},"paths":{"/api/retrieveAllCollectionTests":{"post":{"summary":"POST request for endpoint /api/retrieveAllCollectionTests","operationId":"/api/retrieveAllCollectionTests-POST","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"fetchCicd":{"type":"boolean"}},"description":"Sample description"}}}},"responses":{"200":{"description":"description","content":{"application/json":{"schema":{"type":"object","properties":{"metadata":{"type":"string"},"testingRunResults":{"type":"string"},"testingRunResultSummaries":{"type":"string"},"runIssues":{"type":"string"},"selectedTests":{"type":"string"},"maxConcurrentRequests":{"type":"integer","format":"int32"},"recurringDaily":{"type":"boolean"},"workflowTest":{"type":"string"},"authMechanism":{"type":"object","properties":{"authParams":{"type":"array","items":{"type":"object","properties":{"showHeader":{"type":"boolean"},"where":{"type":"string"},"value":{"type":"string"},"key":{"type":"string"}}}},"id":{"type":"object","properties":{"date":{"type":"string"},"timestamp":{"type":"integer","format":"int32"}}},"type":{"type":"string"},"uuid":{"type":"string"}}},"testingRunResult":{"type":"string"},"fetchCicd":{"type":"boolean"},"testingRun":{"type":"string"},"testRunTime":{"type":"integer","format":"int32"},"testingRunHexId":{"type":"string"},"endTimestamp":{"type":"integer","format":"int32"},"startTimestamp":{"type":"integer","format":"int32"},"testName":{"type":"string"}},"description":"Sample description"}}}}}}}}}
```

## POST /api/fetchIssuesFromCollections

> POST request for endpoint /api/fetchIssuesFromCollections

```json
{"openapi":"3.0.1","info":{"title":"AktoSwagger","version":"1.0.0"},"paths":{"/api/fetchIssuesFromCollections":{"post":{"summary":"POST request for endpoint /api/fetchIssuesFromCollections","operationId":"/api/fetchIssuesFromCollections-POST","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"filterCollectionNames":{"type":"array","items":{"type":"string"}},"limit":{"type":"integer","format":"int32"},"filterStatus":{"type":"array","items":{"type":"string"}},"filterSeverity":{"type":"array","items":{"type":"string"}},"skip":{"type":"integer","format":"int32"},"startEpoch":{"type":"integer","format":"int32"}},"required":["filterCollectionNames"],"description":"Sample description"}}}},"responses":{"200":{"description":"description","content":{"application/json":{"schema":{"type":"object","properties":{"issueDetails":{"type":"array","items":{"type":"object","properties":{"apiUrl":{"type":"string"},"apiMethod":{"type":"string"},"apiCollectionId":{"type":"integer","format":"int32"},"testSubCategory":{"type":"string"},"status":{"type":"string"},"severity":{"type":"string"},"creationTime":{"type":"integer","format":"int32"},"lastSeen":{"type":"integer","format":"int32"},"issueUrl":{"type":"string"},"testName":{"type":"string"},"testDescription":{"type":"string"},"testDetails":{"type":"string"},"testImpact":{"type":"string"},"testRemediation":{"type":"string"},"testSeverityFromTemplate":{"type":"string"},"testTags":{"type":"array","items":{"type":"string"}},"testReferences":{"type":"array","items":{"type":"string"}},"testCwe":{"type":"string"},"testCve":{"type":"string"},"testCategory":{"type":"string"}}}},"openIssuesCount":{"type":"integer","format":"int32"},"fixedIssuesCount":{"type":"integer","format":"int32"},"ignoredIssuesCount":{"type":"integer","format":"int32"}},"description":"Sample description"}}}}}}}}}
```
